Summary: Tester package for Slim Poller
Name: slimpoller-tester
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPL-2.0-only
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
#%global commit 5a4fe147dce355a1014364a00efb1c225d6e09f7
#%global shortcommit %(c=%{commit}; echo ${c:0:7})
#Source0: https://github.com/emca-it/check-elasticquery/archive/%{commit}/check-elasticquery-%{shortcommit}.tar.gz
#Prefix: /opt/plugins
#BuildRoot: %{_tmppath}/check-elasticquery-%{commit}
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: x86_64
BuildRequires: wget
Requires: yum-utils

%description
Test package that installs a Docker linter on the system, in order to test
the slim poller package.

%prep
%setup -q

%build

%install
mkdir --parents %{buildroot}/usr/bin
mkdir --parents %{buildroot}/tmp/slimpoller-src
wget https://github.com/hadolint/hadolint/releases/download/v1.17.4/hadolint-Linux-x86_64
mv hadolint-Linux-x86_64 %{buildroot}/usr/bin
cp -r ./* %{buildroot}/tmp/slimpoller-src
cp ./.env %{buildroot}/tmp/slimpoller-src/

%post
curl https://download.docker.com/linux/centos/docker-ce.repo >> /etc/yum.conf

%files
%attr(755,root,root) /usr/bin/hadolint-Linux-x86_64
/tmp/slimpoller-src/*
/tmp/slimpoller-src/.env

%clean
rm -rf %buildroot
